<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/moblog/class/view/adminmoblogbatchpluginsettingsview.class.php" );

	/**
	 * doesn't do almost anything :))
	 */
	class AdminMoblogBatchPluginSettingsAction extends AdminAction
	{
		function AdminMoblogBatchPluginSettingsAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
			
			$this->requireAdminPermission( "manage_admin_plugins" );
		}

		function perform()
		{
			$this->_view = new AdminMoblogBatchPluginSettingsView( $this->_blogInfo, $this->_userInfo );
			$this->setCommonData();

			return true;
		}
	}
?>